### Method

# RB ExtDBKey add_field

#### Declaration [src]

    void
    rb_ext_db_key_add_field (
      RBExtDBKey* key,
      const char* field,
      const char* value
    )

#### Description [src]

Adds a field to the key, or an additional value to an existing field.

#### Parameters

`field`

  Type: `const char*`

  Name of the field to add.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `const char*`

  Field value.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.